#!/bin/sh

WANPIPEDIR=/etc/wanpipe
USBIN=/usr/sbin
HOMEDIR=`pwd`

echo

if [ ! -d $WANPIPEDIR ]; then
	echo -e "ERROR: Wanpipe directory not found: $WANPIPEDIR!\n"
	exit 1
fi

if [ ! -f $USBIN/pppd ]; then
	echo -e "ERROR: PPPD Daemon doesn't exist in /usr/sbin directory!"
	echo -e "       PPPD is used to establish ppp connection over the async line\n"
	exit 1
fi

if [ ! -f $USBIN/chat ]; then
	echo -e "ERROR: CHAT dialer doesn't exist in /usr/sbin directory!"
	echo -e "       PPPD uses CHAT to dial the modem!\n"
	exit 1
fi

echo -e "Environment Check Complete!"
echo -e "

	Please read the README file in $HOMEDIR.\n"
